diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index b6f908a..49ffb4f 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -119796,7 +119796,8 @@ PartialFractionPackage(R): Cat == Capsule where
       partialFraction: (PR, Factored PR, Symbol) -> Any
          ++ partialFraction(num, facdenom, var) returns the partial fraction
          ++ decomposition of the rational function whose numerator is num and
-         ++ whose factored denominator is facdenom with respect to the variable var.
+         ++ whose factored denominator is facdenom with respect to the 
+         ++ variable var.
    Capsule == add
       partialFraction(rf, v) ==
          df := factor(denom rf)$MultivariateFactorize(Symbol, INDE,R,PR)
@@ -119907,7 +119908,7 @@ PartitionsAndPermutations: Exports == Implementation where
     partitions(M,N,n) ==
       zero? n => concat(empty()$L(I),empty()$(ST L I))
       zero? M or zero? N or n < 0 => empty()
-      c := map(concat(N,#1),partitions(M - 1,N,n - N))
+      c := map((l1:List(I)):List(I)+->concat(N,l1),partitions(M - 1,N,n - N))
       concat(c,partitions(M,N - 1,n))
  
     partitions n == partitions(n,n,n)
@@ -119930,11 +119931,12 @@ PartitionsAndPermutations: Exports == Implementation where
     shuffle(x,y)==
       empty? x => concat(y,empty())$(ST L I)
       empty? y => concat(x,empty())$(ST L I)
-      concat(map(concat(first x,#1),shuffle(rest x,y)),_
-             map(concat(first y,#1),shuffle(x,rest y)))
+      concat(map((l1:List(I)):List(I)+->concat(first x,l1),shuffle(rest x,y)),_
+             map((l2:List(I)):List(I)+->concat(first y,l2),shuffle(x,rest y)))
  
     shufflein(x,yy) ==
-      concat(map(shuffle(x,#1),yy)$ST2(L I,ST L I))$ST1(L I)
+      concat(map((l1:List(I)):ST(L I)+->shuffle(x,l1),yy)_
+        $ST2(L I,ST L I))$ST1(L I)
  
     -- rpt(n,m) is the list of n m's
     rpt: (I,I) -> L I
diff --git a/changelog b/changelog
index 77d1768..cdd4e6d 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090609 tpd src/axiom-website/patches.html 20090609.08.tpd.patch
+20090609 tpd books/bookvol10.4 PARTPERM +-> conversion
 20090609 tpd src/axiom-website/patches.html 20090609.07.tpd.patch
 20090609 tpd books/bookvol10.4 PFRPAC +-> conversion
 20090609 tpd src/axiom-website/patches.html 20090609.06.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 0f3c205..135dfe6 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1527,5 +1527,7 @@ bookvol10.4 PWFFINTB +-> conversion<br/>
 bookvol10.4 PLEQN +-> conversion<br/>
 <a href="patches/20090609.07.tpd.patch">20090609.07.tpd.patch</a>
 bookvol10.4 PFRPAC +-> conversion<br/>
+<a href="patches/20090609.08.tpd.patch">20090609.08.tpd.patch</a>
+bookvol10.4 PARTPERM +-> conversion<br/>
  </body>
 </html>
